sample6.cpp File Reference

Example: bvector<> custom memory allocator. More...

`#include <iostream>`
`#include <cassert>`
`#include "bm.h"`
`#include "bmundef.h"`
Include dependency graph for sample6.cpp:

Go to the source code of this file.

## Data Structures

class | dbg_block_allocator
class | dbg_ptr_allocator

## Typedefs

typedef bm::mem_alloc< dbg_block_allocator, dbg_ptr_allocator, bm::alloc_pool< dbg_block_allocator, dbg_ptr_allocator > > | dbg_alloc
typedef bm::bvector< dbg_alloc > | bvect

## Functions

int | main (void)

## Detailed Description

Example: bvector<> custom memory allocator.

Definition in file sample6.cpp.

## Typedef Documentation

## bvect

typedef bm::bvector<dbg_alloc> bvect

Examples
  sample6.cpp.

Definition at line 116 of file sample6.cpp.

## dbg_alloc

typedef bm::mem_alloc<dbg_block_allocator, dbg_ptr_allocator, bm::alloc_pool<dbg_block_allocator, dbg_ptr_allocator> > dbg_alloc

Examples
  sample6.cpp.

Definition at line 114 of file sample6.cpp.

## Function Documentation

## main()

int main | ( | void |  | ) |

Definition at line 118 of file sample6.cpp.

References dbg_block_allocator::balance(), dbg_ptr_allocator::balance(), dbg_block_allocator::na_, and dbg_ptr_allocator::na_.